using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
    public interface IRoomTypeWXMenusRepository : IRepository<RoomTypeWXMenus>
    {
        IQueryable<RoomTypeWXMenus> LoadAllByPage(out long total, int page, int rows, string order, string sort);

        IQueryable<RoomTypeWXMenus> LoadAll(int roomTypeID);

        void DeleteByRoomTypeID(int roomTypeID);
    }
}
